Widgets et V4 pas clair pour moi

Tags: #<Tag:0x00007f3858b115d8> #<Tag:0x00007f3858b11448> #<Tag:0x00007f3858b11128> #<Tag:0x00007f3858b10de0>

Bonjour,
je teste la RC v4 sur une VM et j’avoue ne pas comprendre grand chose au nouveau système de widgets. Mes questions ne concernent pas le principe des templates, je l’ai utilisé pour créer des nouveaux widgets et ça ne me pose pas de pb. Mes questions concernent la compatibilité entre les widgets v3 et la v4.
1ère question: en rc V4 je vois toujours le plugin widget. Je croyais qu’il avait disparu. Question: peut-on continuer de l’utiliser pour créer (ou éditer) des widgets ? ceux-ci seront-ils compatibles v4 ?
2ème question: que devient le market ? J’ai toujours accès à des dizaines de widgets qui ont certainement été créés en v3 ou précédentes. Peut-on utiliser ces widgets ou faut-il impérativement installer exclusivement des widgets créés en v4 ?

Merci d’avance à ceux qui sauront me répondre.

Bonsoir,
Le plugin est appelé à disparaitre à terme.
Il existe encore pour récupérer les codes des widgets V3. Et pour ceux qui sont encore en V3.
Les widgets V3 ne sont pas compatibles avec la V4, il faut les adapter.

merci @mich0111.
C’est ce que je croyais aussi, mais j’ai des widgets “v3” qui continuent de bien fonctionner en v4. Ils s’affichent correctement sur le dash et sur mes designs. Du coup je me pose la question de l’intérêt de les recréer en v4, c’est beaucoup de boulot et je veux être certain que c’est indispensable.

Ça sera la loterie.
Mais, a priori il fait faire des retouches sur tous les widgets.
En l’état, ça peut marcher… ou pas

Il ya tjrs un moment de compatibilité" jusqu’au jour ou …